Subject: Re: [RFC] cherry-pick using multiple parents to implement -x

From: Paolo Bonzini <[email-masked]>
Date: Mon, 08 Sep 2008 17:04:51 +0200

> Sorry for wandering into a thread in the middle.  But we've already
> been down this road before, and decided the additional header wasn't
> worth it from cherry-pick.  What's changed?  The fact that gitk
> wants to hyperlink this?  Why can't it just regex out a string of
> hex digits longer than 6 and see if there is a commit that matches?

The main difference is that git-cherry too often does not work right now
(I have a local patch so that it more-or-less works with my GNU
ChangeLogs, but it does not improve the situation if rerere kicks in).

(Of course git cherry could also regex out a string of hex digits longer
than 6 and see if there is a commit that matches).

Paolo